Toolset Views 3.6.2
	- Fixed compatibility with WordPress 5.9.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.6.1
	- Several minor fixes.

-------------------------------------------------------------------------------------------------------------------

Toolset Views 3.6
	- Improved the performance of the View block.
	- Added compatibility with the upcoming WordPress 5.8.
	- Improved the performance of the Dynamic Source integration for the core Image block.
	- Fixed an issue in the Content Template listing page, where wrong statuses were shown.
	- Fixed an issue with Toolset Image block and SVG images.
	- Fixed several filtering related issues on the View block.
	- Fixed several bugs and improved the overall stability.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.5.3
	- Fixed a regression on frontend search filters by taxonomies showing options that produce no results.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.5.2
	- Improved performance by making images responsive by utilizing the "srcset" attribute and by allowing lazy loading.
	- Improved compatibility with various themes.
	- Fixed issues with the View Elementor widget.
	- Overall performance optimizations.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.5.1
	- Fixed a compatibility issue with Divi, related to post excerpt.
	- Fixed an issue with creating new or editing existing Content Templates built with Theme builders using the legacy workflow.
	- Fixed an issue with taxonomy-based conditions for translated Content Templates and WordPress Archives.
	- Fixed an issue with Content Templates missing translations on the frontend.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.5
	- Added conditional assignment for Content Templates.
	- Added support for designing Toolset WordPress Archives for specific taxonomy terms.
	- Added a wizard to help with the creation of WordPress Archives.
	- Added support for Automatic Dynamic Sources in Kadence blocks, both free and pro.
	- Improved compatibility with the Kadence Theme and the Kadence blocks, both free and pro.
	- Improved compatibility with WooCommerce.
	- Improved the performance for Toolset resources.
	- Fixed several bugs and improved stability.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.4.2
	- Fixed a CSS issue with the Inline Field.
	- Added Compatibility with the upcoming WordPress 5.7.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.4.1
	- Fixed the ability to offer only relevant options in frontend searches for Views created as blocks.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.4
	- Added support for Dynamic Sources for core and third-party blocks.
	- Added support for Inline Fields with Dynamic Sources.
	- Fixed an issue with broken translations for posts with very long content.
	- Fixed an issue with invalid terms in the taxonomy filter.
	- Fixed an issue with broken WordPress Archives when using the Kadence theme.
	- Fixed some PHP notices with duplicating a View when WPML is active.
	- Fixed an issue with the Container Block, when set as a link in a whole, Dynamic Sources were breaking.
	- Fixed an issue with the majority of the Toolset Blocks been unavailable when BigCommerce plugin is active.
	- Fixed an issue with Content Template been unable to be edited in some client sites.
	- Fixed an issue with editing the copy of a View, which was not copying the Query Filters at all.
	- Fixed an issue with the Ultimate Addons for Gutenberg post grid block which was showing base64 encoded content when showing the Excerpt Dynamic Source.
	- Fixed an issue with the Single Field block which was breaking when setting its content to come from a taxonomy source.
	- Fixed an issue with the post taxonomies source on the frontend, rendering a single term even when more than one is assigned.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.3.5
	- Fixed the setting to not include the current post in a View loop.
	- Fixed the vertical alignment for labels on frontend search filters.
	- Fixed the random refreshing when editing a View block set as random sorting.
	- Fixed some alignment issues for the Container block.
	- Fixed some styling controls for blocks not showing the right elements.
	- Fixed the resizing handle for columns inside the Grid block.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.3.4
	- Improved compatibility with the upcoming WordPress 5.6.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.3.3
	- Improved performance for Views using post relationship filters.
	- Improved the UX for the Views masonry settings.
	- Improved the compatibility with the EditorsKit plugin.
	- Improved the performance of the text search filter when the search content contains instances of the "wpml-string" shortcode.
	- Improved the performance of loading Views using the grid layout on the frontend by unloading unnecessary styles.
	- Improved compatibility with the upcoming WordPress 5.6.
	- Fixed the editing of broken Content Templates containing conditional block.
	- Fixed console errors when inserting a new Image block.
	- Fixed an issue with the "Featured image" dynamic source which wasn't offered in a View for an edge case scenario.
	- Fixed an issue with how custom search settings "Show only available options for each input" works for the View block compared to a legacy View.
	- Fixed an issue with inserting a View on another page that caused the styles to not been transferred.
	- Fixed an issue with the Image Slider block when used in a View from within a Conditional block.
	- Fixed an issue with the Container block where the full-width mode was only applied on the frontend.
	- Fixed an issue with the Container block where the default padding was not working.
	- Fixed an issue with the caption of the Image block, exceeding the image width.
	- Fixed an issue with shortcodes appearing momentarily when first loading a page with blocks using dynamic sources.
	- Fixed an issue with the Conditional block when used inside a View that couldn't handle "<=" comparisons for date fields.
	- Fixed an issue with the Slider block when used in multiple instances on the same page.
	- Fixed an issue with the Media Device selector not showing the control to adjust the width for desktop for themes not providing the relevant information.
	- Fixed an issue with the blocks styling not applied on results after paginating a View using AJAX.
	- Fixed an issue with the Image Slider block, the output of which was missing from the results after paginating a View using AJAX.
	- Fixed an issue with post content built with blocks missing its styling from the results after paginating a View using AJAX.
	- Fixed an issue with a View when used in a widget, where styles are not rendered for blocks.
	- Fixed an issue with broken block styles when the View was cached.
	- Fixed an issue with Gallery block's alt tags missing on the frontend when set to use content from dynamic sources.
	- Fixed an issue with the "wpv-autop" shortcode that was breaking the JS code added to the frontend output by the blocks styling.
	- Fixed an issue with the Grid block behaving unexpectedly when used in a View with the Collage layout style.
	- Fixed an issue with the View's AJAX pagination performance when used for translated content.
	- Removed the Toolset buttons from the native Paragraph block.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.3.2
	- Improved the performance for Toolset Blocks and Dynamic Sources.
	- Improved the compatibility with third party themes using the Codemirror library.
	- Improved the mechanism to resolve shortcodes used as values for attributes on other shortcodes.
	- Fixed the previews for Image blocks when used inside a View loop.
	- Fixed multiple Gallery blocks using the Masonry layout on the same page.
	- Fixed the preview for a View when sorted by a numeric field.
	- Fixed infinite scrolling on WordPress Archives.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.3.1
	- Fixed a fatal error when activating the plugin with an old version of Toolset Types relationships.
	- Fixed an error when listing related posts using a View block.
	- Fixed the AJAX pagination for Views blocks on WPML multilingual sites.
	- Fixed a compatibility problem with using Beaver Builder.
	- Fixed an error on the Slider and Gallery block using images from a related post.
	- Fixed the body class of posts using a Content Template with a slug that includes numbers.
	- Improved the performance of the View block when editing it in the backend.

-------------------------------------------------------------------------------------------------------------------

Toolset Views 3.3
	- Improved compatibility with WPML by sending the View block to translation together with the page that contains it.
	- Improved compatibility with WPML regarding translations for Content Templates and WordPress Archives created with the blocks editor.
	- Improved the View block wizard by offering relevant related items to query depending on where the View is being created.
	- Improved our dynamic sources for Toolset blocks by including full data from related posts.
	- Improved our Conditional display block by supporting conditions based on full data from related posts.
	- Fixed a number of glitches in the Gallery and Image Slider blocks.
	- Fixed a number of glitches in the View block pagination.

-------------------------------------------------------------------------------------------------------------------

Toolset Views 3.2.1
	- Improved the usability for the Slider block by linking to documentation on more complex uses.
	- Fixed the initial preview of the masonry layout for the Views block.
	- Fixed the center alignment for dots pagination controls.
	- Fixed the side effects of a bug in Chrome affecting sites using WooCommerce.
	- Fixed the preview of blocks hidden per device size.
	- Fixed the preview of some styling settings for the button block.
	- Fixed the caption background color on the Slider block.
	- Fixed the Slider block on WordPress Archives not rendering images.

-------------------------------------------------------------------------------------------------------------------

Toolset Views 3.2.0
	- Added a new Gallery block for images, with masonry and collage layouts.
	- Added a new Slider block for images.
	- Added new masonry and collage layouts for Views.
	- Added a new block for Youtube videos.
	- Added new responsive capabilities to some alignment controls.
	- Improved the overall performance when editing a View with blocks.
	- Improved the dynamic sources option for the post author data.
	- Improved the dynamic sources option for the post date data.
	- Improved the management of the Views frontend cache for Views created as blocks.
	- Improved the Views frontend search buttons by not forcing a btn-secondary classname.
	- Improved the rendering of WordPress Archives to avoid some formatting issues.
	- Fixed the hover and active styles for the Button block.
	- Fixed the styling for the preview of some Views pagination controls.
	- Fixed some backwards compatibility problems when using old Views in the new blocks editor.
	- Fixed some glitches with the Conditional block.
	- Fixed a problem about deactivating pagination in WordPress Archives created as blocks.
	- Fixed an issue when trying to set zero as value for some styling controls.
	- Fixed the Design with Toolset entry in the frontend admin bar on WordPress 5.4.
	- Fixed a compatibility issue with WPEngine on our lost password shortcode.

-------------------------------------------------------------------------------------------------------------------

Toolset Views 3.1.3
	- Fixed some visual glitches in block controls caused by changes in WordPress 5.4.
	- Fixed an issue when creating a filter by post relationship in the Views block.
	- Fixed an issue when creating a Video block and uploading a new video.
	- Fixed a problem with the Views frontend cache when a plugin update introduces some styling change.
	- Fixed an issue when adding a Fields and Text block in WordPress 5.4.
	- Fixed the default vertical alignment of the Grid block.
	- Fixed a problem with the Views frontend output cache on pages containing a Conditional block.
	- Fixed the dynamic source for the current post author ID.
	- Fixed the preview of typography settings on the Container block in WordPress 5.4.
	- Fixed the Image block rendering when using a dynamic source without any value.
	- Fixed the translation status indicators in the Content Templates admin listing page.
	- Removed a mandatory Google font that was loaded in the frontend by default.

-------------------------------------------------------------------------------------------------------------------

Toolset Views 3.1.2
	- Fixed an issue that prevents applying styles for the hover and active states of a button block.
	- Fixed a regression about formatting in the archives output.
	- Fixed a problem with options in frontend search forms added to archives.
	- Fixed an issue with the importing of existing Views into a page when a copy of the View is edited.
	- Fixed a compatibility problem with Forms due to a shared library.

-------------------------------------------------------------------------------------------------------------------

Toolset Views 3.1.1
	- Fixed a compatibility problem with WooCommerce Views 2.8.

-------------------------------------------------------------------------------------------------------------------

Toolset Views 3.1.0
	- Added a new Grid block.
	- Added new styling options to all Toolset blocks, including screen size selectors for designing responsive sites.
	- Added a new shortcode that loops over the terms associated with a given post and displays data for each term.
	- Improved the front-end caching system for Views and archives.
	- Improved the front-end rendering of archives to avoid content injected by third parties.
	- Fixed some glitches with broken blocks in Content Templates when switching from the legacy editor to the Block Editor.
	- Fixed an issue related to cropping the images in the featured image shortcodes.
	- Fixed an issue that occurred when showing the counters and made sure to include only relevant options on front-end searches created as a View block.
	- Fixed an issue that happened when applying the advanced classes to some Views blocks.
	- Fixed an issue with duplicating a Content Template set to be edited with Divi or Avada.

-------------------------------------------------------------------------------------------------------------------

Toolset Views 3.0.2
	- Added a description and a preview to all Toolset Blocks.
	- Improved the experience while loading the galleries block in the frontend.
	- Improved the performance of the Views block when creating a new instance of it.
	- Fixed the preview of a View used inside a Content Template editor, when the View depends on the post previewed in the Template.
	- Fixed the order of a View after an AAX event when sorting by a non numeric field managed as a number.
	- Fixed a glitch with Views created as blcks when they contain an image inside a container.
	- Fixed frontend searches using between comparisons created before Views 3.0.
	- Fixed the frontend searches that should offer only relevant options when filtering by fields with multiple values.
	- Fixed an error when using Views with WordPress below 5.0.
	- Fixed a compatibility issue with the EditorsKits plugin.
	- Fixed a compatibility problem when trying to create archives for WooCommerce products.
	- Fixed a compatibility glitch with PHP 7.4.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.0.1
	- Fixed the Featured Image Data source that was producing PHP notices and was preventing the source from returning any content.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 3.0 AKA Roy Batty
	- Introduced Toolset Blocks with full styling options:
		- Container block.
		- Conditional output block.
		- Fields and Text block.
		- Heading block.
		- Single field and Repeating field / Gallery blocks.
		- Button block.
		- Image block.
		- Audio block.
		- Video block.
		- Star rating block.
		- Countdown block.
		- Progress indicator block.
		- Social share block.
	- Introduced the new Views block as a visual way of creating and editing Views:
		- Generate lists with pagination and sorting controls.
		- Generate search forms with all the usual Views available filters.
		- Live preview of the View outcome, with real data.
	- Introduced the new WordPress Archives block as a way of creating and editing archives visually.
	- Introduced the concept of Dynamic Sources so Toolset Blocks can display data from the current post or from any other related source.
	- Introduced a new custom capability to create and edit Views.
	- Improved the title management for Content Templates edited using the blocks editor.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.9.2
	- Fixed an issue with jQuery not available on frontend when trying to print some extra elements from a View.
	- Removed some very old legacy and dead code.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.9.1
	- Added a missing BS4 class to a radio custom field input in the View search controls.
	- Fixed the generation of checkbox frontend filters to avoid double labels.
	- Fixed a number of Relevanssi compatibility issues.
	- Fixed the Views listing intermediary post types related to a given post.
	- Fixed the new shortcodes GUI when a third party plugin loads a custom jQuery UI dialogs stylesheet.
	- Fixed the search in the Fields and Views dialog when using the browser-provided reset button.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.9 AKA Valkyrie
	- Added Bootstrap 4 support to the Loop Wizard.
	- Improved the performance of some queries needed for the filter by post relationship.
	- Improved the frontend assets loading by only including the main script when a View has been rendered in the current page.
	- Fixed a problem when a Content Template was assigned to another Content Template.
	- Fixed a compatibility issue with The Events Calendar which affected some Views queries.
	- Fixed a compatibility issue that prevented the Views loop wizard from finishing.
	- Fixed a compatibility issue with PHP 7.4.
	- Fixed a number of compatibility issues with Relevanssi.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.8.4
	- Extended the HTML tag for the featured image on custom size so it includes the alt, width and height attributes.
	- Extended the GUI for inserting a Content Template shortcode to provide the post selection option.
	- Fixed an issue with custom WPML language switchers not getting the right URL when used in combination with AJAX search or pagination.
	- Fixed an issue when somehow a Content Template was assigned to another Content Template.
	- Fixed a problem with Views queries getting wrongly filtered by The Events Calendar fields.
	- Fixed a compatibility problem between the Views loop wizard and the View Admin As plugin.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.8.3
	- Fixed a glitch in the postmeta caching mechanism that included Types fields slugs instead of meta_key values.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.8.2
	- Incrementally improved the new caching system for meta fields.
	- Improved the performance of the preview for the Views block in the Gutenberg editor.
	- Improved the performance of the shortcode to render featured images at a custom size.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.8.1
	- Fix a PHP compatibility problem with the new caching system.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.8.1
	- Added a separator attribute to the wpv-for-each shortcode for iterating repeating fields values.
	- Added a new caching system to manage meta keys.
	- Removed some deprecated code.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.8.0.1
	- Fixed an issue with the custom CSS and JS for Content Templates using their default editor.
	- Fixed an issue with the custom CSS for Content Templates designed using WPBakery not being added to the frontend.
	- Fixed an issue with the new setting for the default editor for Content Templates getting reset when creating a new WordPress Archive.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.8 AKA Ava
	- Improve the workflow for editing CTs with the Block editor.
	- Improved the year range on datepickers used in frontend search filters.
	- Added a new shortcode to display a Read More link for posts.
	- Fixed a problem with post relationship search filters when combined with other filters, and including counters or search controls dependencies.
	- Fixed a problem with Relevanssi indexing the content of Views from pages with an incorrect context.
	- Fixed a problem with audio and video shotcodes on Views using infinite scrolling as pagination effect.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.7.5
	- Removed the legacy Maps settings tab when using Views Lite.
	- Extended the conditional output based on taxonomy terms by checking against term names too.
	- Restored the textarea for setting the description field for Views CTs and WPAs.
	- Improved compatibility with WPML especially with other third parties and their custom queries.
	- Fixed spinner image URLs for Views created before a site gets SSL.
	- Fixed a problem when adding taxonomy search filters to a View if the taxonomy name contains a single quote.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.7.4
	- Fixed a regression making the wrapper DIV setting and the View output editor content impossible to save, caused by the integration of the single save button in Views.
	- Fixed a regression that prevented saving single inline Content Templates when changing the custom editor to use.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.7.3
	- Added a new fixed admin top bar on Views, Content Templates and WordPress Archives editors.
	- Improved the conditional output shortcode by supporting many-to-many relationships.
	- Improved the conditional output shortcode by better managing conditions by taxonomies.
	- Included a new shortcode to render the current View loop index.
	- Improved the admin listing pages by adding a column with the last modified date for each element.
	- Fixed a problem when getting the current language on frontend AJAX pagination or searches.
	- Fixed a problem with Views that include a taxonomy search filter when shown in the taxonomy archives.
	- Fixed an inconsistency with the media manager used in Content Templates editors.
	- Fixed an issue with the styling of the results of an AJAX search performed from inside a View, when the loop of the View is styled with a Content Template designed with Beaver Builder.
	- Fixed an issue with the styling of the results of an AJAX search performed from inside a View, when the loop of the View is styled with a Content Template designed with Visual Composer.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.7.2
	- Fixed several issues with the integration with page builder caused by the new editor introduced in WordPress 5.0.
	- Fixed an issue with custom functions inside conditionals that take arguments with exclamation marks.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.7.1
	- Fixed an issue with the Views blocks not rendering their preview for non-admin users.
	- Fixed a usability issue when assigning a Content Template to a post type that contained posts with a different or no Content Template assigned.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.7.0 AKA Bertrand Zobrist
	- Added support for designing Content Templates using Gutenberg.
	- Added a Toolset blocks category in the Gutenberg block inserter, which include the new "View", "Content Template" and "Forms" blocks.
	- Added a mechanism to insert Views, Types and Forms shortcodes into the Gutenberg core Classic Editor blocks.
	- Added a mechanism to insert Views, Types, Access and Forms shortcodes into the Gutenberg core Paragraph blocks.
	- Added a View for forms inserted in the Gutenberg classic editor block.
	- Added an indication of the editor used to design a Content Template next to each Content Template on the Content Template listing page.
	- Added support for designing Content Templates using Layouts.
	- Added support for translating the "more" attribute of the "wpv-post-excerpt" shortcode through WPML String Translation.
	- Added support for allowing the "&" character in the name of Views, Content Templates and WordPress Archives.
	- Added the shortcodes processing filters to the shared basic formatting content filter.
	- Fixed an issue with Beaver Builder when used as a Content Template editor, inside a View loop that updated its results using AJAX.
	- Fixed an issue with the Toolset Elementor widgets where the "Upgrade to PRO" encouragement message lost its styling on the latest version of the editor.
	- Fixed an issue between Content Templates and WPML where the modified extra CSS and JS weren't copied to the translations of a Content Template when its default language was modified.
	- Fixed an issue with the "wpv-post-excerpt" shortcode which was creating empty paragraphs when it was used with "noautop" format inside a Content Template.
	- Fixed an issue where wpv-post-featured-image shortcode sometimes used GUID as image URL.
	- Unified the offered options of the "date" field filter for the "Search and Pagination" and the "Query Filter" GUI.
	- Removed the option to have View edit links on the frontend.
	- Removed the "Forms Editing" links from the "Fields and Views" modal, as these shortcodes were moved to the "Toolset Forms" modal.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.6.4.2
	- Fixed a PHP parse error related to the compatibility with Elementor, with PHP 5.x versions.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.6.4.1
	- Fixed an issue with Elementor where "Header" and "Footer" templates designed with the page builder stopped working.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.6.4
	- Added the Toolset View Elementor widget.
	- Added an option to allow complete omission of the wrapping HTML element around a View.
	- Added a new Loop output style in the loop wizard for Views to allow the output styled as a list with separators.
	- Removed the ability to filter a View by a Types checkboxes field when it is set to store zero on unchecked items.
	- Fixed an issue with Content Template that could not be applied to posts designed with Elementor.
	- Fixed an issue with the blacklisting of the Views WordPress widget causing sites to loose content.
	- Fixed an issue with the exporting of Views when the View setting become corrupted or when imaged used in Views no longer exist.
	- Fixed an issue where the CSS and JS of a Content Template, set by the native Content Template editor, was applied even when a page builder was used to build the Content Template.
	- Fixed an issue where the "default" option of a custom search fields, displayed as radio buttons, wasn't rendered.
	- Fixed an issue where the "default" option of a custom search fields, displayed as select or radio buttons, was added automatically for the case of manually entered field values.
	- Fixed an issue with broken conditional statements when used inside page builders.
	- Fixed an issue with Fusion Builder, the columns' width of which where different between pages and Content Templates, both built with the builder.
	- Fixed an issue with the WP Views Filter when used within Beaver Builder where the post suggestion control for target pages wasn't returning suggestions.
	- Fixed a performance issue with custom fields containing spaces and/or dots in their meta key when they are used in query filters.
	- Fixed an issue with the modification of the filter shortcodes when changing from manually entered values to values coming from database.
	- Fixed an issue with the updating of the edit link of a Content Template, designed using a page builder, when modifying the Content Template parameters.
	- Fixed a PHP Fatal error happening when importing a zip containing Views.
	- Fixed several issues related to the Views importing/exporting when using either the native functionality or doing it through the Module Manager.
	- Fixed a compatibility issue where a View listing "Events" from the "The Events Calendar" plugin was returning no results.
	- Changed the type of control for the AJAX pagination delay customization and the transition duration.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.6.3
	- Elementor compatibility: add a Views widget to Elementor.
	- Elementor compatibility: ensure that the Toolset edit links work properly with Elementor templates.
	- Removed deprecated assets no longer in use.
	- Fixed the path for the default spinner for AJAX pagination in WordPress Archives.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.6.2
	- Added the ability to disable the conditional output Quicktag button from all editors in a page.
	- Improved the translation of shortcode attributes that support it.
	- Fixed the compatibility with Visual Composer 5.5+.
	- Fixed the compatibility with Beaver Builder.
	- Fixed the Toolset Forms edit links when used with our alternative shortcode syntax inside page builders.
	- Fixed WordPress Archives for native taxonomies when assigned to custom post types.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.6.1
	- Added support for translation of the "format" shortcode attribute for the Views frontend filters.
	- Improved some queries related to the filters by the new many-to-many relationships.
	- Fixed an issue with the "wpv-post-link" shortcode where the inline style set as a shortcode attribute wasn't applied.
	- Fixed an issue with sortable table output mode for a View not including the fields labels as table headers.
	- Fixed a typo that had an effect on Content Templates translations.
	- Fixed the usage of the Toolset.hooks javascript library.
	- Fixed some redundant HTML on the dialog to insert a conditional output shortcode.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.6.0 AKA Harry Potter
	- Added compatibility with the many-to-many project on the query filter by post relationship, and improved its usability.
	- Added compatibility with the many-to-many project on the frontend search filters by post relationship, with complete backwards compatibility and support for chained relationships.
	- Added compatibility with the many-to-many project on the shortcodes GUI.
	- Added initial compatibility with Gutenberg.
	- Added the ability to display data from post reference fields.
	- Added the ability to list repeatable field groups with Views.
	- Improved the usability of the Views editor page.
	- Improved the usability of the Content Templates editor page.
	- Improved the specific post and user selectors in the shortcodes GUI.
	- Improved the Toolset help box styles by defaulting to the Toolset Common shared ones.
	- Extended the GUI for inserting data from a related post to display data from related posts from their intermediary post, or for inerting data from the intermediary post when the relationship is well defined.
	- Provided compatibility for conditional shortcodes using legacy Types postmeta keys that stored relationships.
	- Updated documentation links to point to toolset.com.
	- Fixed the filter by post relationships on taxonomy archive pages.
	- Fixed an issue with the wpv-post-body shortcode when displaying data from a related post.
	- Fixed an issue with the cred-form-message shortcode when redireting to a page after submitting a CRED form.
	- Fixed a compatibility issue with product taxonomy archives when using WooCommerce with a theme not declaring explicit support for it.
	- Fixed an issue with the wpv-post-ield shortcode when trying to render a field index that does not exist.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.5.3
	- Fixed an issue with the frontend sorting that was not working for non-Types defined custom fields.
	- Fixed an issue with an SQL error when scanning for View usage and WPML is enabled.
	- Added a new filter wpv_filter_get_fake_shortcodes_for_attributes_translation to allow third-party shortcode's attribute translation when used in the Filter or Loop Output editor.
	- Added the ability to use nested Beaver Builder designed content.
	- Added the missing mandatory $id argument for the "the_title" filter, when it is applied in Views.
	- Removed the "type" attribute for the style element generated by the Content Template's extra CSS.
	- Fixed an issue with Content Templates in pages used as target by CRED edit post links.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.5.2
	- Fixed an issue where the Scan button in Views wasn't detecting pages which were holder shortcodes of Views following the new shortcodes format.
	- Fixed multiple issues on the sorting controls when combined with pagination.
	- Fixed an issue with the scan usage button for Views that was caused by the new shortcode format.
	- Fixed an issue with custom search not taking the current language into account.
	- Fixed a compatibility issue with the Enar theme.
	- Fixed an issue with the shortcodes post selector when they got populated with parent relationships related to non-existing post types.
	- Improved the UI elements for the integration with third-party page builders.
	- Improved the compatibility with the latest versions of Fusion Builder, Beaver Builder and WPBakery Page Builder for WordPress (formerly Visual Composer).

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.5.2
	- Fixed an issue where the Scan button in Views wasn't detecting pages which were holder shortcodes of Views following the new shortcodes format.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.5.1
	- Prepared the theme settings integration for Avada theme to allow users to control theme elements from Views editors.
	- Fixed an inconsistency by passing the outcome of the "render_view" API function over the "wpv_filter_wpv_view_shortcode_output" filter.
	- Fixed several compatibility issues with Visual Composer.


-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.5.0 AKA Professor James Moriarty
	- Added the ability to control the settings from selected themes in a Content Template or WordPress Archive.
	- Added the option to build the Content Template's template using Divi Builder and Avada's Fusion Builder.
	- Added support for shortcodes with placeholders instead of brackets to allow usage inside the several page builders' modules fields.
	- Added help messages for Content Template pages.
	- Added the MVC file structure and started using it for the help message in the Views pages.
	- Improved the compatibility with WPML.
	- Fixed an issue with the Conditional output quicktag on German installations.
	- Fixed an issue with the Relevanssi integration so frontend text search filters can include content of custom fields.
	- Fixed an usability problem with CRED edit post links for drafts, private, future or pending posts.
	- Fixed an issue with the URL generated on AJAX pagination and search related to the view number.
	- Fixed an issue with the checkboxes not performing the same way as multi-select when “only show available inputs” is selected in the advanced search settings.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.4.1
	- Added the shortcodes "wpv-post-previous-link" and "wpv-post-next-link" to allow creation of post navigation links.
	- Added First/Last pagination controls as part of the pagination links.
	- Added label inputs for the boundaries of the "between/not between" comparison in the Shortcodes GUI.
	- Added placeholder text option for the text input fields in Views filtering.
	- Improved the UX when bulk deleting Content Templates or emptying the Content Template trash.
	- Improved the generated HTML markup for the frontend filters in the Filter editor.
	- Improved the workflow of the Views and WordPress Archives creation that are purposed for custom search by routing the user to create a search filter.
	- Improved some GUI dropdowns by setting their empty default values as disabled.
	- Unified the labels for taxonomy archives in Content Template screens that were using singular instead of plural form.
	- Fixed an error when using WooCommerce but not Types caused by an internal Toolset hard dependency not met.
	- Fixed an issue with the W3C Validator throwing and error during the frontend markup validation when custom CSS was inserted inside a View or Content Template.
	- Fixed an issue with the addition of wildcard subdomains into the safe redirects lists, that allowed multiple instances of the same entry to be inserted.
	- Fixed an issue with the Fields and Views dialog search box that was keeping its contents even after the dialog was closed.
	- Fixed an issue regarding nonce errors when "FORCE_SSL_ADMIN" option is set and frontend editing was done in HTTP.
	- Fixed an issue with the Bootstrap Elements button that disappeared when the editors needed to be initialised again after the page is fully loaded.
	- Fixed an issue with the custom uploaded pagination spinner not being saved in WordPress Archives.
	- Fixed an issue with the custom uploaded pagination spinner not used in the frontend.
	- Fixed an issue with frontend custom search filters when value contains non-latin characters.
	- Fixed an issue with the Content Template duplication of Content Templates containing HTML markup, that was converted to HTML entities.
	- Fixed an issue with WordPress Archives pagination on sites using WPML with URL language parameters.
	- Fixed a regression on frontend taxonomy filters using checkboxes, related to children terms and their HTML structure.
	- Fixed an issue with Content Templates displayed after a taxonomy or user View.
	- Fixed an issue with the "lower than" and "lower than or equal" comparison in the query filter when adding the relevant filter inside the Filter editor.
	- Compatibility: improved the Fields and Views button and dialog in Gravity Forms editors.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.4.0 AKA Dr. Ellie Arroway
	- Added Bootstrap compatible output to frontend filters and frontend pagination controls.
	- Added new shortcodes for displaying frontend filters by taxonomies, fields and relationships.
	- Improved the GUI for inserting and edit frontend filters in the Views Filter editor.
	- Added the option to include a label for the post search filter textfield input, when creating it.
	- Improved the GUI for adding some shortcodes, by grouping some attributes together in a single sction.
	- Added the option to display the user avatar using the [wpv-current-user], [wpv-post-author] and [wpv-user] shortcodes.
	- Improved the creation of slider Views by displaying the Limit and Offset section by default, and setting the View pagination to show just one post per page.
	- Improved the detection of infinite loops when using [wpv-post-body] shortcodes in Views listing taxonomy terms or users.
	- Fixed a problem with the z-index of select2 instances in the loop wizard when editing a View as a layout cell.
	- Fixed a problem with the URL elements of the Button component from Visual Composer when it is integrated into a Content Template.
	- Fixed a problem with the %%NAME%% placeholder for frontend filters when not used together with %%COUNT%%.
	- Fixed an issue with the missing validation messages of the forms generated by the [wpv-forgot-password-form] or the [wpv-reset-password-form] shortcodes.
	- Fixed an issue with the Content Template "Save all" button which wasn't saving the modified title when the only change was the addition of one or more apostrophes.
	- Fixed an issue with a possible XSS Vulnerability when using the search box on the Views listing page.
	- Fixed an issue with missing or misplaced WooCommerce Views notifications.
	- Fixed an issue with the "Fields and Views" button that was not added to the Fusion Builder editor toolbar.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.3.1
	- Improved the frontend sorting controls so sorting options can force a sorting direction.
	- Improved the frontend sorting controls so sorting options can force sorting direction labels.
	- Improved the frontend sorting controls so the first option is always in sync with the stored Views sorting settings.
	- Improved the usability of pagination controls as nav links by providing some canonical classnames to the HTML structure.
	- Fixed an inconsistency in the error styling of the name input field when creating a Content Template with a name that already exists.
	- Fixed an inconsistency in the button state when an error occurs while creating a new View and a new WordPress Archive.
	- Fixed an issue where the state of the help boxes in the Views and WordPress Archives edit page closed by the X icon was not saved.
	- Fixed an issue with the "Empty trash" button in WordPress Archives that wasn't deleting WordPress Archives that were created through a WordPress Archive Layout cell.
	- Fixed an issue that produced a console error after interacting with a View added dynamically to a page.
	- Fixed an issue that excluded some post classes from the [wpv-post-class] shortcode output when performing AJAX operations.
	- Fixed an issue where posts belonging to a deleted custom post type are among suggestions in WP Views Filter widget search.
	- Fixed an issue where a broken View edit link appears, when the selected View is trashed or deleted.
	- Fixed an issue on conditional output shortcodes when evaluating a missing field value for a parent post.
	- Fixed a PHP Warning when using the [wpv-heading] shortcode without using the optional attribute "name".
	- Fixed the syntax highlighting on CSS and JavaScript editors, by forcing the right language mode.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.3.0, AKA Wowbagger
	- Added frontend sorting controls for Views and WordPress Archives.
	- Added the capability of automatic detection of the native Customizer in the Views Framework integration.
	- Added the ability to sort by post type in Views and WordPress Archives, for WordPress versions 4.0 and higher.
	- Added the ability to set the purpose of a View or a WordPress Archive when creating them on the Toolset Dashboard.
	- Added a shortcode [wpv-post-menu-order] to display the menu order of posts.
	- Added a new attribute for the [wpv-post-field] shortcode to allow parsing of inner shortcodes.
	- Added a mode for using shortcode attributes in the search query filters.
	- Added the capability of whitelisting external domains and subdomains, to be used for redirecting in password management shortcodes.
	- Added support for using custom fields from a post parent in the Views conditional output.
	- Added the ability to render the raw post excerpts in the form in which hey are stored in the database, using the [wpv-post-excerpt] shortcode.
	- Added "Empty trash" buttons to the trash listing pages of the Views, Content Templates and WordPress Archives.
	- Added "Back" and "Close" buttons to the Fields and Views dialog.
	- Added the option to pause the automatic pagination transition on mouse hover.
	- Added extra information to the array being passed in public hooks to get the settings for a View.
	- Removed the duplicate "Add new *" buttons from the listing pages of the Views, Content Templates and WordPress Archives.
	- Removed the duplicate message broadcast when all the archive loops were assigned to WordPress Archives.
	- Removed the datepicker localization files from WordPress 4.6, as they are now included from the core instead.
	- Improved the Fields and Views button and dialog to make them available to frontend editors.
	- Improved the Fields and Views dialog by separating the fields into better groups.
	- Improved the Fields and Views dialog by providing better options in the admin pages related to editing terms and users.
	- Improved the Fields and Views dialog by creating a first version API for manipulating Views shortcodes using JavaScript.
	- Improved the consistency of the admin listing pages with the native WordPress core.
	- Improved the usability of the Content Templates created to wrap loops using the wizard on Views and WordPress Archives.
	- Improved the management of frontend assets by allowing the datepicker stylesheet to load only when needed.
	- Improved the behavior of sorting options to ensure consistency regardless of their source.
	- Improved support for the Content Templates in themes by filtering the PHP functions unable to be accepted as content renderers, and by providing better debug messages.
	- Improved the Views frontend debug tool by adding important query information related to WordPress Archives.
	- Improved the Custom Search settings by adding a default option.
	- Improved the integration of he Beaver Builder with Content Templates by having better frontend edit previews by trusting the theme PHP templates.
	- Improved the respective integrations of Beaver Builder and Visual Composer with Content Templates by enabling the usage of page builders in inline Content Templates used in Views loops.
	- Fixed a glitch in the export/import mechanism that erased the stored data to recreate the Loop Wizard selected fields on imported sites.
	- Fixed the issue of id="$current_page" attributes not working on Views with AJAX pagination.
	- Fixed an issue that removed manually added URL parameters from frontend custom searches and paginations.
	- Fixed an issue with the Fields and Views shortcode for taxonomy labels containing a single quote.
	- Fixed the compatibility issue with the Download Manager plugin that was overwriting Download post type Content Templates.
	- Fixed a compatibility issue with Layouts where iframes, in Firefox, did not seem to parse scripts loaded outside the header.
	- Fixed a compatibility issue with Beaver Builder where the Views widgets were breaking the frontend editor.
	- Fixed the compatibility issue with Beaver Builder regarding the front-end preview for [wpv-view] and [wpv-post-author] shortcodes.
	- Fixed an issue that was causing a fatal error when visiting the Content Template edit pages with a non-exist or non-integer Content Template ID.
	- Fixed an alignment issue with the ID in the listing pages of the Views, Content Templates and WordPress Archives.
	- Fixed an issue with the filters "wpv_filter_start_filter_form" and "wpv_filter_end_filter_form" not being fired when rendering the form-only View shortcode.
	- Fixed the issue where details of the registered framework were not being hidden when a new framework was registered.
	- Fixed a glitch related to third party admin pages, caused by the select2 style set in the Views edit pages.
	- Fixed an issue in the "Pagination and Sliders Settings" where the "Advanced Options" section remained visible even when the "Advanced Options" button was hidden.
    - Fixed an issue where the "Views Integration" tab was being rendered empty when manually registering a theme options framework.
	- Fixed two issues with the Relevanssi integration, related to the ordering of the results under certain circumstances.
	- Fixed an issue where all the query filter attributes inserted by the Shortcode GUI were stripped off when only the View search form was inserted.
	- Fixed an issue with the importing of the Views settings, where WordPress Archives settings to include specific post types were not imported properly.
	- Fixed an issue with the removal of the "Move to Trash" button from the Layouts cells for Views and WordPress Archives.
	- Fixed an issue with the search results not being reset properly in the case of rendering of a View form and results on the same page but with different shortcodes.
	- Fixed the issue with WP CLI (command line intrface) related to an improperly declared global.
    - Fixed an issue related to the WordPress Archive custom search when filtering by the same criteria that the current archive page is for.
	- Fixed the issue of the "Reset" button not fully clearing the URL when clicked on a filter form.
	- Fixed an issue related to the post relationship frontend filter when used on a WordPress Archive assigned to the Home/Blog archive page.
	- Fixed the issue associated with Views added inside an archive page missing the first post returned by that archive page.
	- Fixed the issue related to the trashing of one or more Content Templates in use, which also led to the trashing of all the existing Loop Templates.
	- Fixed the issue of the AJAX search form ignoring the override settings for ordering upon submission.
	- Fixed an issue where JavaScript errors occurred when using automatic pagination inside a nested View and the current View had only one page.
	- Fixed the documentation link of the "Post parent" query filter that was leading to a non-existent page.
	- Fixed an issue that produced empty links in emails when recovering the password generated using Views shortcodes.
	- Fixed an issue when editing the slug of a View or a WPA to an already used slug and then to a slug that is valid.
	- Fixed an issue that produced a PHP Warning under PHP 7.1, when using a search by post title filter.
	- Fixed an issue that occurred when the [wpv-post-field] shortcode was used to get the value from a field and the value was an array.
	- Fixed the issue of the "random ordering and pagination" notification not clearing even with valid selections.
	- Fixed the issue of custom search shortcodes using single quotes to wrap attribute values generating a warning about missing filters.
	- Fixed an issue with AJAX custom search causing frontend filters by post relationships to not inserting their query strings into the updated URL.
	- Fixed an issue caused by the translation of placeholders used to display specific data in custom search controls, like counters.
	- Fixed the issue with query filters by termmeta when comparing against a DATE value.
	- Fixed a compatibility issue between the legacy Views Maps add-on and third the party plugins loading the Google Maps API.
	- Fixed a compatibility issue with WooCommerce that caused the product archive pages to not display correctly.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.2.2
	- Improved compatibility with WordPress 4.7.
	- Improved compatibility with WPML 3.6.0.
	- Improved the GUI for WPML-related shortcodes.
	- Fixed an issue with [wpml-string] shortcodes automatic string registration when saving a Views editor.
	- Fixed an issue with [wpml-string] shortcodes not being automatically registering strings in the inline Content Template editor.
	- Fixed an issue with the js_event_wpv_pagination_completed pagination event being triggered too early.
	- Fixed an issue with automatic pagination being manually altered using pagination controls.
	- Fixed some broken links to documentation.
	- Fixed an issue with the [wpv-forgot-password-form] shortcode when WooCommerce is active.
	- Fixed an issue with taxonomy labels containing quotes in the fields and Views dialog.
	- Fixed an issue with third party plugins using Colorbox by not setting globals.
	- Fixed an issue with case insensitive database schemas when checking whether a View with a given name already exists.
	- Fixed an issue with select2 instances inside Colorbox modals regarding z-index styles.
	- Fixed an issue with select2 instances inside the Loop Wizard modal after modifying Types shortcodes settings.
	- Fixed a deprecation notice when using the [wpv-bloginfo show="text_direction"] shortcode.
	- Fixed an issue with API functions being called before init.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.2.1
    - Added decimal places support for Views meta query filters.
	- Improved the compatibility with WooCommerce and WooCommerce Views by adding better feedback for users.
	- Updated our select2 bundled version to version 4.0.3.
	- Fixed the Fields and Views dialog when using Visual Composer on Content Templates without Toolset shortcodes in the admin bar.
	- Fixed the frontend custom search filter by post relationship when two or more ancestors on the same level have the same post title.
	- Fixed the frontend custom search filter by Types checkboxes fields when used on a WordPress Archive.
	- Fixed a problem with getting data from parent posts using the id attribute on search results provided by the Relevanssi plugin.
	- Fixed a problem with localization for the password management shortcodes and their related forms labels.
	- Fixed a problem with PHP 5.2 in the Content Template edit page.
	- Fixed a problem on manual pagination with page reload when the stored effect for AJAX pagination is infinite scrolling.
	- Fixed a problem with frontend filters for custom fields if they are using custom values containing commas.
	- Fixed a problem with Relevanssi searches not getting sorted by relevance.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.2.0, AKA Dr. Dick Somolon
    - Added Relevanssi compatibility with custom searches to support searching in some custom fields content.
	- Added Beaver Builder compatibility with Content Templates.
	- Added a shortcode [wpv-forgot-password-link] for Lost Password link.
	- Added a shortcode [wpv-forgot-password-form] for custom Forgot Password Form.
	- Added a shortcode [wpv-reset-password-form] for custom Reset Password Form.
	- Added support for selecting multiple roles in Views listing users on WordPress 4.4 and above.
	- Added a sortable ID column to admin listing screens for Views, Content Templates and WordPress Archives.
	- Added a sub-section in “Third-party shortcode arguments” to display custom shortcodes registered using Views' PHP API.
	- Added support for sorting a View listing users by usermeta fields.
	- Added support for a secondary sorting setting on Views listing posts.
	- Added two new rollover effects that replace the old slideUp and slideRight, to make them move in the right pagination order.
	- Added support for the user_nicename field value on the [wpv-user] shortcode.
	- Added the [wpv-theme-option] shortcode to the list of automatically registered shortcodes supported inside other shortcodes.
	- Removed the shortcode [wpv-forgot-password-link] from the GUI.
	- Improved the Views pagination settings GUI, following the schema we introduced for the WordPress Archives pagination settings.
	- Improved the Views and WordPress Archives editing experience by encouraging the usage of the Loop Wizard for new elements.
	- Improved the way we sanitize and validate slugs for Views, Content Templates and WordPress Archives, specially when they contain non-latin characters.
	- Improved the way we fire the automatic AJAX pagination in Views sliders, so we also support rollovers in nested Views.
	- Improved the user experience by renaming Views "parametric search" to "custom search" instead.
	- Improved support for HTTP/HTTPS based URLs output in the [wpv-post-featured-image] shortcode.
	- Improved support for image resize and crop in the [wpv-post-featured-image] shortcode.
	- Improved compatibility with PHP 7.
	- Fixed and improved Cherry Framework detection for the Views integrations.
	- Fixed an issue with shortcode attributes containing special characters used in a View with AJAX pagination.
	- Fixed an issue with AJAX pagination when a View search form and results are rendered using different shortcodes.
	- Fixed an issue with frontend custom search when it should get results without reloading the page and display all options for all filters.
	- Fixed an issue with frontend custom search when the form is placed on a widget and the results are in the main page content.
	- Fixed an issue with frontend custom search when a filter by post relationships is used on a WordPress Archive.
	- Fixed an issue with Views AJAX pagination and shortcode attributes with numeric values, when the View is rendered using the PHP API.
	- Fixed an issue with the content to display when there are no posts on a WordPress Archive.
	- Fixed the redirection for the [wpv-login-form] shortcode, specially in case of failed authentication attempts.
	- Fixed the ability to sort a View by a numeric field created outside Types.
	- Fixed the quick links on the Fields and Views dialog, to move between field sections.
	- Fixed a problem with taxonomy filters in custom searches used on another taxonomy archive loop.
	- Fixed a problem with custom search and frontend URL management when using a BETWEEN comparison for a custom field filter.
	- Fixed a problem with old Views combining pagination, limit and offset and failing to calculate the right number of pages.
	- Fixed an issue with datepickers on custom search filters not working after performing an AJAX pagination.
	- Fixed an issue with AJAX pagination on Views used in taxonomy archive pages containing query filters by the term set on the current archive.
	- Fixed an issue with WordPress Archives pagination controls, as ellipsis were getting the same classnames as the current page number.
	- Fixed a problem with the [wpv-current-user field="role"] shortcode when a superadmin does not have a specific role in a network site.
	- Fixed an issue with conditional shortcodes having a zero as their only content.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.1.1
	- Improved compatibility with WPML 3.5.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.1.0, AKA Clarisse McClellan
	- Added support for specific purposes for WordPress Archives, and the ability to set the purpose of a WordPress Archive when creating it.
	- Added pagination settings to WordPress Archives, including AJAX pagination with fade, horizontal and vertical slide and infinite scroll effects.
	- Added query filters to WordPress Archives.
	- Added parametric search to WordPress Archives.
	- Added support for adjusting the post types to include on an archive page.
	- Added support for Visual Composer in the Content Template editor.
	- Added new settings to sort a View by a field as a number or a string.
	- Added a shortcode [wpv-logout-link] to display the logout link, with an option to redirect when logout is completed.
	- Added a new attribute redirect_url_fail to the [wpv-login-form] shortcode to allow redirection on login failure.
	- Added a new API filter wpv_filter_public_wpv_get_view_shortcodes_attributes for getting the current View shortcode attributes.
	- Added an option for sorting Views that list users by the order of the values passed to a query filter.
	- Added support for Types shortcodes with single or double quotes in the Loop Wizard.
	- Added an option to apply a newly created Content Template to all single posts of a post type.
	- Added a redirect when opening a View or WordPress Archive through the Types dashboard and then trashing it.
	- Added help videos when first editing a View, Content Template or WordPress Archive.
	- Improved the security in frontend parametric search forms.
	- Improved the dropdown to set a View order by adding select2.
	- Improved the way we gather information about the current View parametric search filters for building our internal cache.
	- Improved the frontend AJAX for parametric search to avoid problems with nested Views structures.
	- Extended the post selection on the shortcodes GUI so you can set a post parent on broader situations.
	- Fixed an issue with Views AJAX pagination related to long URLs.
	- Fixed an issue with Views AJAX pagination related to installations with custom WordPress directory structures.
	- Fixed a bug in AJAX pagination and fade effect on Firefox that caused the content to bounce up and down the page.
	- Fixed an issue with the query filter by specific terms set by the current post on Views listing terms.
	- Fixed an issue with misleading data passed on the js_event_wpv_parametric_search_triggered JavaScript frontend event.
	- Fixed an issue with select dropdowns in parametric searches if a custom class is passed as an attribute.
	- Fixed an issue with some auxiliar hidden inputs on parametric search forms having duplicated class attributes.
	- Fixed an issue that removed custom post types with custom rewrite rules form the WordPress Archive custom post types archives loop selection.
	- Fixed an issue with Content Templates exclusion, so that when editing a Content Template, it can not be inserted into itself.
	- Fixed an issue with the [wpv-attribute] shortcode returning an empty string after performing a parametric search.
	- Fixed an issue with taxonomy filters, where these were not being removed completely from the View settings.
	- Fixed an issue with the parametric search form action attribute, when the form and the results are displayed on different pages.
	- Fixed an issue with importing the Views and Content Templates extra CSS and JS content when it is made of line breaks only.
	- Fixed an issue with the parametric search reset button, that caused that sometimes the results were not updated when they should have been.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 2.0.0, AKA Cthulhu
	- Added Views to the new shared Toolset admin menu, Settings page and Export / Import page.
	- Added the functionality to sort a View listing terms by termmeta.
	- Added a "format" attribute to the [wpv-post-excerpt] shortcode to control whether its output should be wrapped in paragraph tags.
	- Added an information tab to the [wpv-post-body] shortcode GUI.
	- Added a missing info="login" attribute value to the [wpv-current-user] shortcode.
	- Added a global setting to disable history management related to parametric search, and a specific setting to control this on each View.
	- Added a tolerance setting for the infinite scrolling AJAX pagination effect.
	- Added two new URL attributes, wpv_sort_orderby and wpv_sort_order, to control a View ordering.
	- Removed the Help page and the redirection when activating the plugin.
	- Removed the button to create a page for the View currently being edited when Layouts is active.
	- Removed the duplicated button to create your first Content Template.
	- Improved the View output by removing some hidden inputs and reviewing ID attributes.
	- Improved the query filters that depend on the current page, current post and objects set by a parent View.
	- Improved the management of cached data, resulting in better performance.
	- Improved the parametric search by checking that all taxonomies involved do exist.
	- Improved the parametric search by avoiding counters to display double values when the form and the results are rendered using different shortcodes.
	- Improved the compatibility with WPML by disabling the Content Template selection when creating or editing a translation.
	- Improved the compatibility with Toolset Maps by adding basic support for address fields in the parametric search.
	- Fixed the combination of query filters using the post__in query argument.
	- Fixed an issue on frontend pagination controls stopping events delegation.
	- Fixed an issue regarding AJAX pagination and parametric search, resulting in wrong pagination outcome.
	- Fixed an issue regarding WPML and query filters by specific post IDs when setting values that belong to translated posts.
	- Fixed an issue regarding WPML and query filters by post parent and post relationship where not relevant options were offered.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 1.12.1
	- Fixed an issue regarding parametric search, related to taxonomies no longer existing.
	- Fixed an issue regarding parametric search, related to results counters returning a wrong number.
	- Fixed a problem in AJAX pagination returning no results in the second and other pages.
	- Fixed a PHP notice on an undefined variable.
	- Fixed a PHP error on a file not loaded when needed.
	- Fixed a bug that resulted in a duplicated message about creating your first Content Template.
	- Fixed a problem with the Divi page builder related to the Tolset shortcodes generator.
	- Fixed a compatibility issue between WPML and the parametric search, that returned results only in the default language.

-------------------------------------------------------------------------------------------------------------------
Toolset Views 1.12.0, AKA Peter Pan
	- Added termmeta query filters to Views used to list terms.
	- Added support for Types termmeta integration to Fields and Views dialogs and Loop Wizards.
	- Added a Fields and Views button to a new shortcode generator in the admin bar.
	- Added a global setting to disable history management entirely, and a specific setting to control this on each View.
	- Added a new button to "Create a page with this View" in the Edit View page.
	- Added a shortcut, Ctrl+S, to save sections containing editors in Content Template edit screens.
	- Added an option to display the last modified date on the [wpv-post-date] shortcode by using a new "type" attribute.
	- Added a link in the "Design with Toolset" admin bar entry to edit Views rendered on the current page.
	- Added two new modes to the query filter by taxonomy terms, using shortcode attributes and URL parameters.
	- Improved post relationship filter for a parametric search, so that only ancestors with actual descendants are shown as options, and counters are accurate.
	- Improved the output of Views by removing hidden inputs that are no longer needed.
	- Improved compatibility of Fields and Views dialogs with Layouts and Visual Composer.
	- Improved all AJAX-related functionality by using a specific ajaxurl variable based on a native variable provided by WordPress.
	- Improved internals used to duplicate all Views objects.
	- Improved internals used in the Views Settings page.
	- Fixed a compatibility issue between Views parametric searches and server object caching.
	- Fixed an issue regarding the frontend cache of Views, related to Content Templates with custom CSS used inside a View.
	- Fixed an issue regarding AJAX pagination history events, and slider Views with numeric signatures.
	- Fixed an issue regarding AJAX pagination history events, and nested Views structures.
	- Fixed an issue regarding AJAX pagination on Views loaded through AJAX events, such as those in nested structures.
	- Fixed an issue regarding responsive Views output, and its debounce tolerance.
	- Fixed a problem in Views conditionals when one of the compared values is a number and the other is a string.
	- Fixed a compatibility issue with third party plugins that register 404 events.
	- Fixed a compatibility issue with Masonry-based themes, related to a forced Views output width set on a resize event.
	- Performed a security review on generic POSTed data for several AJAX calls.

-------------------------------------------------------------------------------------------------------------------
Views 1.11.1
	- Improved the media management in preparation of the upcoming Toolset Maps plugin.
	- Fixed a problem when using AJAX pagination on the results of a parametric search.

-------------------------------------------------------------------------------------------------------------------
Views 1.11.0, AKA Lady Jessica
	- Added infinite scrolling as an AJAX effect for the Views pagination.
	- Added proper target attributes to links used as pagination controls.
	- Added new pagination shortcodes for the total number of returned pages, pagination controls based on links, and pagination controls based on a select dropdown.
	- Added specific attributes to the new shortcode to display pagination controls as links in order to allow a PageNavi-like output.
	- Improved the dialog to insert pagination controls to a View.
	- Added proper history management when using AJAX pagination and/or a parametric search with AJAX results.
	- Improved the way we save, sanitize, and use titles and slugs in Views, Content Templates and WordPress Archives.
	- Added a new query filter for posts based on their sticky nature.
	- Added a button to scan the usage of a View in the View’s edit page.
	- Added a way to make editor textareas expand their height depending on their content.
	- Added new valid values, namely split2, split3, split4, and split5, to the wpv-index pseudo-shortcode so that specific items in the middle of the View loop can be targeted.
	- Improved the dialogs to insert a View or a conditional shortcode into an editor.
	- Improved the Loop Wizard by addressing edge cases and anticipating them.
	- Improved compatibility with Layouts related to Content Template cells.
	- Improved compatibility with WordPress related to admin layout structures.
	- Fixed an issue related to archive loops where some information was missing, resulting in some shortcodes not working.
	- Fixed an issue on wpv-post-body shortcodes not being parsed if they referred to non-existing Content Templates.
	- Updated CodeMirror to 5.5.0.
	- Updated FontAwesome to 4.4.0.

-------------------------------------------------------------------------------------------------------------------
Views 1.10.1
	- Improved compatibility with WordPress 4.3.1.

-------------------------------------------------------------------------------------------------------------------
Views 1.10.0, AKA Marty McFly
	- Added a new shortcode, wpv-conditional, for conditional output, along with a GUI for inserting it.
	- Added a new caching system for expensive queries in the backend.
	- Added a new caching system for eligible Views in the frontend.
	- Added extra options when inserting a View to override limit, offset, order, and orderby settings.
	- Added extra options when inserting a View to set values for filters using a shortcode attribute.
	- Added a new shortcode wpv-theme-option to obtain the values of registered options when integrating a framework into Views.
	- Added a new method for detecting and registering the most used frameworks into the Views Integration.
	- Added a new shortcode, wpv-autop, to force formatting on pieces of content.
	- Added a new GUI to set callbacks for front-end JavaScript events related to AJAX pagination and parametric search.
	- Added validation methods when saving any Views editor to avoid deleting mandatory elements.
	- Added a new mode to the query filter by a taxonomy based on the current archive term.
	- Added a way to disable the Design with Toolset admin bar entry.
	- Improved the Views output by cleaning some hidden HTML comments.
	- Improved the dialogs to insert pagination controls into any Views editor.
	- Improved the Loop Wizard by merging several AJAX calls into one.
	- Improved the Loop Wizard by maintaining the dialog settings when editing the options of a Types field.
	- Improved the read-only page for a View when using the embedded mode, so that it shows the Content Templates assigned to it.
	- Improved the Content Templates assigned to a View, by showing the CSS and JavaScript editors below the content editor.
	- Improved the wpv-user shortcode so that it can be used outside the loop of a View that lists users.
	- Improved the assets management by registering and enqueueing them in different moments.
	- Improved compatibility with WordPress 4.3 by removing PHP4 class constructors.
	- Improved compatibility with WordPress 4.3 by adjusting the admin pages to the new structures.
	- Improved the internal APIs with several new actions and filters.
	- Migrated almost all dialogs from Colorbox to jQueryUI Dialogs.
	- Deleted old postmeta no longer used by Views.
	- Fixed the query filter by post date when the selected date can have an ambiguous meaning.
	- Fixed several typos and updated old texts.

-------------------------------------------------------------------------------------------------------------------
Views 1.9.1
	- Restored the functionality affected by the WordPress 4.2.3 update.

-------------------------------------------------------------------------------------------------------------------
Views 1.9.0, AKA Meina Gladstone
	- Added a GUI for inserting Views shortcodes.
	- Added a new custom edit page for Content Templates.
	- Added class and style attributes to several shortcodes that output HTML tags.
	- Added a new shortcode wpv-noautop to display pieces of content without paragraph formatting - included a Quicktag button for easy insertion.
	- Added an Admin Bar entry to create and edit Content Template assignments.
	- Added a new debug output to the wpv-if conditional shortcode.
	- Improved the Loop Wizard functionality - added a way to set Views shortcodes attributes.
	- Improved the Loop Wizard - added explanations about different Bootstrap options and their availability.
	- Improved the Loop Wizard - made table sorting options easier to understand.
	- Improved the combination of limit, offset and pagination settings on a View to avoid expensive auxiliar queries.
	- Improved the output of custom CSS and JS for Views and Content Templates - HTML comments should make it easier to identify their source.
	- Improved the frontend javascript that controls the pagination, the parametric search interaction and the table sorting.
	- Improved the Views AJAX pagination when using a custom spinner - avoided enforcing fixed dimensions and improved the positioning of the spinner.
	- Fixed the WordPress media shortcodes (audio, video, playlist) when used on Views with AJAX pagination or with parametric search with automatic results.
	- Fixed lower-than comparison functions for date, custom field and usermeta field query filters - a previous security review broke them.
	- Fixed the Views pagination spinner “No spinner” setting.
	- Fixed the custom fields and usermeta query filters by a Types date field when setting a specific date - changes could not be saved.
	- Fixed edit View links on Views widgets when using the Views Embedded plugin.
	- Fixed bulk trashing of Content Templates.
	- Fixed the query filter by specific users on a View listing users - the URL parameter mode was not being applied.
	- Fixed the “Don’t include current page” setting on a View when it is used on a post displayed on an archive page.
	- Fixed the API functions to display a View or return its results - avoided errors by checking that the requested item is a published View.
	- Improved some shortcodes attributes, like the ones for wpv-post-taxonomy, wpv-post-featured-image and wpv-post-edit-link.
	- Improved the compatibility with WPML by setting better translation settings to some private custom fields used to store Views settings.
	- Improved the compatibility with WPML by adjusting AJAX pagination when adding language settings as URL parameters.
	- Improved the compatibility with 4.2 related to loading spinners.
	- Improved the compatibility with 4.2 related to the link Quicktag dialog.
	- Improved the compatibility with RTL languages.

-------------------------------------------------------------------------------------------------------------------
Views 1.8.1
	- Fixed an inconsistency on query filters getting values from shortcode attributes - empty values should apply no filter.
	- Fixed the export workflow - some setting were not exported.
	- Fixed an issue about old Views which do not have a "view-query-mode" setting that can not be edited.
	- Fixed a bug about removing inline Content Templates from a View.
	- Fixed a bug about bulk trashing two or more CT when one of them has posts assigned - there was a PHP error for a $nonce variable not set.
	- Fixed a bug on Views listing users and filtering by specific users set on a URL parameter.
	- Fixed a bug about "lower than" options on the query filters by custom field, usermeta field and post date.
	- Fixed the frameworks integration - frameworks using an option to store values were not registered correctly.
	- Fixed an issue about Content Templates saved without slug.
	- Fixed an issue that avoided changing the WordPress Archive assigned to an archive loop from the admin listing page.
	- Adjusted the documentation links for the new date query filter and the frameworks integration functionality.
	- Removed the "Add new" button and the "Trash" link from the Content Template edit page, to avoid inconsistencies.
	- Improved the compatibility with Layouts related to archives pagination.

-------------------------------------------------------------------------------------------------------------------
Views 1.8.0, AKA R2-D2
	- Added third-party theme frameworks integration.
	- Added a query filter by post date.
	- Added a GUI for the Views Embedded plugin.
	- Added a new API function - is_wpv_content_template_assigned.
	- Added a new API function - is_wpv_wp_archive_assigned.
	- Added a shortcut, Ctrl+S, to save sections containing editors in Views and WordPress Archives edit screens.
	- Added a new shortcode - wpv-login-form.
	- Added a new shortcode - wpv-archive-title.
	- Added support for custom statuses to the related Views query filter.
	- Improved the Views Settings page.
	- Improved the feedback when adding or editing items on the Filter editor of a View related to parametric search.
	- Improved the AJAX error management when dealing with auto-save in Views and WordPress Archives edit screens.
	- Improved the export/import workflow.
	- Improved the compatibility with WordPress 4.1 related to meta_query entries for custom fields and sorting by meta values.
	- Improved the compatibility with WordPress 4.2 related to term splitting.
	- Improved the compatibility with WordPress 4.2 related to cache objects for taxonomies.
	- Improved the compatibility with WordPress 4.2 related to accessing the global $wp_filter.
	- Changed the Google Maps script register handler for better third-party compatibility.
	- Fixed an issue related to filtering by custom field values containing a plus sign.
	- Fixed an issue related to filtering by Types checkboxes fields - extended support for complex queries in WordPress 4.1+.
	- Fixed an issue related to multiselect items on a parametric search - avoid force selecting the first option by default.
	- Cleaned some deprecated code.
	- Updated the CodeMirror script to version 5.0.0.

-------------------------------------------------------------------------------------------------------------------
Views 1.7.0, AKA Zaphod Beeblebrox
	- Improved the workflow for inserting a parametric search using the V icon popup.
	- Improved the workflow for inserting a parametric search using the WP Views Filter widget.
	- Improved screen options for Views and WordPress Archives edit screens - now they are saved automatically.
	- Added a setting to the screen options to hide the query filters section - hide it by default for parametric Views.
	- Improved the Views and WordPress Archive edit screens: sections without a textarea are now saved automatically.
	- Improved the Query filters section of a View: better styles, better performance, each query filter is now defined as a completely independent class.
	- Improved the parametric search settings section - now there are 3 basic options and another one to define the settings manually.
	- Improved spinner settings for parametric search - now all their settings are defined in the shortcode.
	- Revamped the Layout Wizard dialog and workflow.
	- Normalized GUI for custom CSS and JS textareas in Views, Content Templates and WordPress Archives edit screens.
	- Added options to use buttons instead of inputs as HTML tags for submit and clear elements in a parametric search.
	- Added a custom callback to be executed before the AJAX request of a parametric search - we already had callbacks executed before and after loading the new results.
	- Added a new mode to the taxonomy parent filter: parent set by the current term in a WordPress archive loop.
	- Reordered Views and WordPress Archives toolbars buttons - added hints on specific buttons when they provide needed functionalities.
	- Added quicktags to all Views textareas.
	- Added formatting instructions to Views textareas.
	- Added sorting to manually added values on a parametric search filter by a custom field.
	- Added highlighting when inserting a shortcode into a textarea using the GUI.
	- Revamped the inline Content Template section for Views and WordPress Archives.
	- Added wpv-index=odd|even options for zebra styling of Views output.
	- Added a shortcode wpv-taxonomy-id that returns the term ID in Views listing taxonomy terms.
	- Improved the management of admin notices.
	- Disabled the Distraction Free Writing button on Content Template edit screens.
	- Fixed the use of manual added values on a parametric search filter by a custom field when one value is empty.
	- Fixed the default date in datepickers in parametric searches: if that value was not set, make it default to empty.
	- Fixed a bug when filtering by a taxonomy using a shortcode attribute and passing a non existing value.
	- Fixed a bug when filtering by post IDs using an URL parameter and it has an empty value.
	- Fixed a problem with custom functions inside conditionals: wpv-if shortcodes executed after a View may inherit settings from it but without needed data.
	- Fixed a problem about functions used inside wpv-if conditional shortcodes: added support for Views listing users, adjusted default values to match the ones in our documentation, prevented loading some data when no View was being displayed.
	- Fixed a problem with assets loaded in the frontend when is_ssl() is false but FORCE_SSL_ADMIN is true.
	- Fixed a problem with wpv-post-body shortcodes used inside wpv-if conditionals.
	- Fixed a problem with AJAX pagination on sites pointing to a folder and installed in a subfolder.
	- Fixed a compatibility issue with Layouts: some filters were producing PHP errors in Views previews (basically, because they needed data from current page, and it was not set).
	- Fixed trashing Views and WordPress Archives from their edit screens - prevent unsaved sections from stopping the redirect to listing screens after trashing.
	- Fixed a small styling incompatibility between the Views datepicker filter and Bootstrap 3.
	- Fixed an issue about parametric search inputs coming from Types checkboxes fields.
	- Fixed an issue about automatic AJAX pagination.
	- Fixed the Views widgets so they do not offer to display trashed Views.
	- Fixed the preview of the custom spinner used in pagination.
	- Cleaned some deprecated code: media management.
	- Updated select2 script and changed its name from "views-select2-script" to just "select2".
	- Updated CodeMirror script.

-------------------------------------------------------------------------------------------------------------------
Views 1.6.4
    - Added the clear date field values in a parametric search.
    - Fixed a problem that the wpv-post-url and wpv-post-link shortcodes were having with WPML slug translation.
    - Fixed the wpv-control shortcodes which should be useful to create generic inputs on a form.
    - Fixed a problem with a parameter needed for creating a layout using the wizard by adding a default value for it.
    - Fixed the compatibility of wpv-post-body shortcode with WPML post switcher for availability in other languages.
    - Fixed a problem where editing a filter by a Types custom field resulted in a duplicated filter.
    - Added a fix to avoid problems with plugins setting ajaxSetup data defaults that can mess up our pagination script.
    - Fixed the PHP errors that were caused by the “filter by post relationship” under some circumstances.
    - Fixed a problem which prevented comparing to empty values when filtering by custom fields (if not using URL parameters or shortcode attributes).

-------------------------------------------------------------------------------------------------------------------
Views 1.6.3
    - Fix: improve datepicker.css so styling only applies to the datepicker popup

-------------------------------------------------------------------------------------------------------------------
Views 1.6.2
	- New: create a standalone plugin out of the Embedded Views directory
		* add read-only summary pages for every Views object, accessible when this new plugin is activated
		* move a bunch of files to the embedded side (CodeMirror, summaries, admin messages, CSS files, etc)
	- New: add option to Views listing users so we can get users of any role
	- New: filter by post author: set by the author of the current page
	- New: admin message when a View lists posts but no post type has been selected
	- New: button-primary-toolset styling button
	- New: execute an action before and after each element on a View loop
	- Parametric search:
		* add counters to each option of each input based on a new format="..." attribute using %%NAME%% and %%COUNT%% as placeholders
		* remove one remove_filter call that broke dependency when the relevant View was not the first on a page
		* fix post status arguments: when querying inside an AJAX call, they should not return protected statuses by default
		* save a meta_query filter when the filter by custom field uses the IN comparison and one of the passed values is empty (meaning we should return all results)
		* fix filters getting multiple values (multi-select and checkboxes) and AJAX pagination
		* fix filter by post relationship: sometimes, the default value is 0 and not array(0)
		* fix adding a filter by a custom field created outside Types
		* fix filters by a taxonomy on multisite
		* stop rollover if set when selecting an option of the form
		* fix nested Views
	- Fix: trashing flow for Content Templates and WordPress Archives is cleaner and leaves no traces
	- Fix: Views Media Manager can now handle BMP and TIFF files
	- Fix: normalize the output so it will return all post types in case no one was selected
	- Fix: security issue - force users to register valid functions used inside wpv-if evaluations
	- Fix: security issue - do not use serialize/unserialize in Views AJAX pagination
	- Fix: better manage functions returning a numeric 1 inside wpv-if evaluations
	- Fix: move automatic registering of strings for WPML to the init hook, as before that the current user capabilities are not reliable
	- Fix: do not use -1 as the ID in post__in argument to get an empty query: use a 0 instead
	- Fix: do not use -1 as the ID in include argument to get an empty users query: use a 0 instead
	- Fix: prevent deprecated methods when checking current user capabilities for displaying the Views debug popup
	- Optimization: better create View popup
	- Optimization: better parametric search add filter popup
	- Optimization: better summary messages
	- Compatibility: Layouts
		* fix CodeMirror on the inline Content Template editor
		* fix CodeMirror on all the HTML textareas on Internet Explorer
	- Compatibility: Module Manager
		* link to read-only summaries or edit screens on installed items in the Module Library tab
	- Compatibility: WooCommerce
		* fix add to cart button URL when used inside a View with AJAX pagination or parametric search with automatic results
		* fix product search results when there are no results and using a WordPress Archive
	- Compatibility: WordPress 4.0
		* fix Content Templates editor
		* fix like_escape() being deprecated
	- Update: CodeMirror to its latest release
	- Clean: remove a great bunch of legacy deprecated code
	- Experimental: "limit" and "offset" Views shortcode attributes

-------------------------------------------------------------------------------------------------------------------
Version 1.6.1
	- New: general View setting to disable frontend edit links to Views objects
	- New: better copy on the parametric search popup
	- New: suggestions for the default value on a filter by custom field on parametric search when using existing values
	- New: when performing a parametric search by a checkbox field that stores zero in the database when unchecked, allow filtering by this zero value
	- Fix: parametric search - allow between, greater than and lower than comparisons when setting values manually if they do not match actual custom field values
	- Fix: post relationship parametric search when WPML is active
	- Fix: parametric search with dependency if the View is sorted by a custom field
	- Fix: parametric search with dependency and manual pagination
	- Fix: allow the use of zero as a value in a custom field filter
	- Fix: parametric search on multisite
	- Fix: improve the export/import flow so it restores the WPA and CT settings for archive loops
	- Fix: menu links when editing a View object do not redirect to error pages anymore
	- Optimization: better calculation of available options for parametric search dependency
	- Compatibility: Layouts inline editing of a View

-------------------------------------------------------------------------------------------------------------------
Version 1.6.0
	- New: Bootstrap Layout for Views
	- New: parametric search for Types post relationships with dependency
	- New: dependent parametric search inputs
	- New: update Views form results on the fly
	- New: id="X" attribute for the [wpv-user] shortcode: it now can be used outside a View listing users loop
	- New: filter "wpv_filter_force_wordpress_archive"
	- New: filter "wpv_filter_custom_field_filter_type"
	- New: improved layout for the Views filter section
	- New: output="raw|sanitize" attribute for the [wpv-post-title] shortcode
	- New: API to create Views with custom default settings
	- New: add the Pagination button to the Layout HTML textarea toolbar so users can add pagination controls after the View results
	- New: revamped HTML structure and CSS styles on listing, editing and settings pages
	- New: when creating or editing Content Templates or WordPress Archives, show a red asterisk on elements already in use
	- New: Media Manager can now handle audio and video attachments and inserts the right shortcode or link
	- New: now you can use a thumbnail from an image attachment as a spinner for pagination and parametric search
	- New: action "wpv_action_views_settings_sections" for modular settings page
	- New: shortcode [wpv-search-term param="xxx"] to get search values from URL parameters
	- New: start="X" and end="Y" attributes for the [wpv-for-each] shortcode
	- Fix: wpv-user requesting for a usermeta field that does not exists should return nothing
	- Fix: sorting by a numeric custom field created outside Types but under Types control
	- Fix: custom inner shortcodes break the export/import flow
	- Fix: prevent orphaned list item in Views toolbars when CRED is not installed
	- Fix: better handling of the "attr" attribute of the [wpv-post-featured-image] shortcode to escape quotes, tags and brackets
	- Fix: center map to view all points not working on some browsers
	- Fix: single-marker maps were not displayed centered on the marker
	- Fix: higher priority to our pagination redirect script so no other plugin can call it a 404
	- Fix: issue on the Views Map plugin: Uncaught TypeError: Cannot read property 'length' of undefined
	- Fix: typo on the inline Add Content Template popup in the Views edit screen
	- Fix: do not enable SAVEQUERIES unless the debugger is enabled
	- Fix: do not have a return inside an object buffer
	- Fix: render_view_template() now adjusts the global $authordata
	- Fix: add the charset info to our pagination AJAX response, so it does not let the server use a different encoding
	- Fix: change the AJAX pagination response content-type to text/html
	- Fix: correct protocol for AJAX callback URLs when backend uses FORCE_SSL_ADMIN and frontend is not SSL
	- Fix: colorbox position when opening a toggle box while creating or editing the usage of a Content Template
	- Fix: settings page slug changed from "views-settings-new" back to "views-settings"
	- Fix: add the toolbar button to toggle syntax highlighting in the Content Template edit screen using the Quicktag API
	- Fix: a View listing taxonomies and filtering by page terms on a page with no terms returns an error
	- Fix: a View, Content Template or WordPress Archive with an attached non-image file was breaking the export
	- Fix: when changing a Content Template title, if it already exists, the Update button gets locked on disabled state
	- Fix: do not allow spaces or special characters in Views or WordPress Archives slugs
	- Compatibility: fix issue with Post Type Switcher
	- Compatibility: WordPress 3.9 - remove mysql_* functions
	- Compatibility: better layout for the administration box of Views widgets
	- Optimization: merge frontend scripts
	- Optimization: merge frontend styles
	- Optimization: avoid recursive AJAX calls in backend
	- Optimization: better backend styles
	- Optimization: better Layout Wizard structure
	- Optimization: rewrite of the popups for creating and editing the usage of Content Templates and WordPress Archives
	- Optimization: rewrite of the metabox in the Content Template edit screen to assign it
	- Update: CodeMirror 3.21

-------------------------------------------------------------------------------------------------------------------
Version 1.5.1
	- New: filter "wpv_filter_post_excerpt"
	- New: filters  "wpv_filter_start_filter_form" and "wpv_filter_end_filter_form"
	- New: filter "wpv_filter_content_template_output"
	- New: shortcode [wpv-post-class add=""]
	- New: output="normal|raw|inherit" attribute for the [wpv-post-body view_template="None"] shortcode
	- New: improve the [wpv-post-excerpt] shortcode:
		* the length attribute now applies to real excerpts too
		* new count="char|word" attribute
		* new more attribute
	- New: [wpv-user] shortcode can take ID as the field attribute value
	- Optimization:
		* shave one SQL query when displaying the debugger per [wpv-post-body view_template="None"] shortcode
		* shave one SQL query per [wpv-post-taxonomy] shortcode
		* improve the [wpv-post-featured-image] shortcode - shave a SQL query when data="url" and size="full"
		* save a SQL query if we use get_the_terms() and wp_list_pluck() instead of wp_get_post_terms() in the filter by taxonomy for Views listing posts
		* add usermeta caching for Views listing users when using Types
	- Change: Views edit screen - change the Content selection section select into a series of radios
	- Fix: fields created outside Types and then added to Types control as numeric were not sorting a View as numeric values
	- Fix: error when creating a Content Template on the Templates listing page if unchecking all the options offered in the popup
	- Fix: error when rendering a Content Template with auto formatting inside a View with AJAX pagination
	- Fix: "shop_order_status" taxonomy was hijacking "post_tag" taxonomy on the V icon popup when using WooCommerce
	- Fix: allow quotes in parametric search values, both in search boxes and in custom fields using textfield
	- Fix: inner shortcodes inside Tempates used calling [wpv-post-body] with the attribute suppress_filters set to true were not being rendered
	- Fix: move the custom CSS output earlier in the wp_footer hoot, before the script printing at 10, to avoid the bottleneck
	- Fix: raise z-index for the V popup in the Content Templates edit screen - avoid CodeMirror gutters and scroll bars problems
	- Fix: pagination sumary was displaying wrong data
	- Fix: PHP fatal error when adding debug info for a taxonomy filter by terms coming from the current page
	- Fix: error when filtering by taxonomy set by the current page - the passed terms array was not correctly indexed
	- Fix: preload last page when doing AJAX pagination using Slide Down or Slide Right effects
	- Fix: clean the get_users_query() function and make it modular by using filter hooks in "wpv_filter_user_query"
	- Fix: changing some setting for a WordPress Archive was deleting all the Views Settings options from the database
	- Fix: offset will not work on Views listing posts if there is no limit or pagination setting
	- Fix: offset will not work on Views listing users if there is no limit setting
	- Fix: duplicating a View can lead to a View with status of "future"
	- Fix: export error on layout wizard settings for Views created using an older version
	- Fix: error on the disable_rich_edit_for_views() function on scenarios where the $post is not already set
	- Fix: Content Templates attached to a View were lost on the export/import flow

-------------------------------------------------------------------------------------------------------------------
Version 1.5.0
	- New: debug tool
	- New: Views Maps plugin
	- New: adjust Views layout widths on window resize - responsive layouts
	- New: add option to filter posts excluding by ID
	- New: add option to use IN, NOT IN and AND as operators when filtering by taxonomy using URL parameter or shortcode attribute
	- New: add shortcode attribute and URL parameter options to the post relationship filters
	- New: add a GUI for the callback_next parameter for AJAX pagination
	- New: hide_empty option for parametric search filtering by taxonomy
	- New: filters "wpv_filter_start_filter_form" and "wpv_filter_end_filter_form"
	- New: add $args parameter to get_view_query_results() so arguments can be passed when getting a View results
	- New: add visual flag to buttons for CSS and JS textareas when they have content
	- Fix: parametric search - custom field relationship is not maintained if new filter added to search
	- Fix: filter on taxonomy fails when using taxonomy by current page and current page has no taxonomy set
	- Fix: console.log not defined in IE8/9 was breaking image preloading in frontend pagination
	- Fix: restore the Fade effect on frontend pagination when old and new pages have the same height - fadeOut and fadeIn should happen at the same time
	- Fix: .wpv-pagination element has zero height if elements inside the pagination are floated
	- Fix: remove onclick attributes from frontend
	- Fix: make the output of taxonomy parametric search radios consistent with other layouts - first the input, then the label
	- Fix: broken pagination when displaying two Views on a page and both using pagination links
	- Fix: adjust vertical sliding effect when old and new page have diffferent heights
	- Fix: add version numbers when registering scripts
	- Fix: parametric search popup - taxonomy_order & taxonomy_orderby & auto_fill_sort options are not inserted
	- Fix: timezone problem with date filters
	- Fix: wpv-post-date defaults to WordPress general settings
	- Fix: duplicating a View should use the new title as the slug
	- Fix: duplicating a View duplicates the View description too
	- Fix: post_type_dont_include_current_page was not working when using AJAX pagination and the current post was not on the first page
	- Fix: possible SSL errors by setting the correct URLs when loading assets
	- Fix: remove unwanted br tags and empty p tags caused by newlines formatting
	- Fix: pagination for taxonomy Views was not working
	- Fix: save one database query if there are no custom fields filters
	- Fix: add custom CSS and JS to pages containing Views and Content Templates displayed using PHP functions
	- Fix: clean Views pagination: remove inline styles, remove unwanted br tag, add new classnames
	- Fix: correctly register and enqueue scripts and styles for the frontend
	- Fix: wpdb->prepare missing second argument
	- Fix: better settings page - only offer to save some setting when it has changed
	- Fix: Layout Wizard fields data was corrupted on import
	- Fix: add shortcode support inside wpv-heading shortcodes on table layouts
	- Fix: PHP 5.4 Strict standards: Only variables should be passed by reference
	- Fix: register wp_footer actions involving scripts at a 21+ priority, so the scripts enqueued on the footer (with priority 20) are all loaded before them
	- Fix: normalize the form style when using wpv-view or wpv-form-view shortcodes: remove inline styles
	- Fix: invalid values in text inputs (search box and textfield parametric search) containing quotes
	- Fix: improve date filters for parametric searches:
		* remove onclick attributes
		* remove dependency on the order of imputs - LTR support
		* JSLint the script
	- Compatibility: WordPress 3.8
		* admin notices in Views listing screens use the native WordPress styles
		* V popup is not correctly displayed in Content Templates with syntax highlight on
		* table cebra styling for listing pages
	- Compatibility: WPML integration
		* add [wpml-string] shortcodes by default to Views textareas
		* register strings on textarea save if String Translation is active
		* automatically register existing strings when activating String Translation
		* automatically register strings when importing if String Translation is active
		* require string and context fields in Translatable String popup
		* same value used twice in labels on parametric search inputs was not correctly registered in String Translation
	- Compatibility: Module Manager - move the integration code to the embedded part to support WooCommmerce Views wizard

-------------------------------------------------------------------------------------------------------------------
Version 1.4.1
	- Fix: 500 server error on sites using multisite with a lot of sites and / or sites with a lot of usermeta fields

-------------------------------------------------------------------------------------------------------------------
Version 1.4.0
	- New: users support in Views
		- New: PHP filters "wpv_filter_user_query" and "wpv_filter_user_post_query"
		- New: filters for Views listing users - include/exclude specific users, filter by a usermeta field
		- New: shortcodes for displaying users data - [wpv-user field="xxx"]
		- New: filter posts by author set by parent View - nested Views
	- New: sorting a View listing posts by last modified
	- New: make slugs editable for Views and WordPress Archives
	- New: [wpv-post-status] shortcode
	- New: improved [wpv-post-featured-image] shortcode
	- New: [wpv-taxonomy-archive] shortcode
	- New: [wpv-post-slug] shortcode
	- New: [wpv-post-body] new attribute "suppress_filters" - when set to 'true' the shortcode will render with basic WordPress filters applied
	- New: extend [wpv-if] shortcodes - add custom functions support to [wpv-if] shortcodes
	- New: [wpv-items-found] and [wpv-no-items-found] support for Posts, Taxonomies and Users
	- New: [wpv-found-count] extend support for Taxonomies and Users
	- New: trash for Views, WordPress Archives and Content Templates
	- New: custom inner shortcodes in Settings and "wpv_custom_inner_shortcodes" PHP filter. Add [wpml-string] shortcode by default when available
	- New: add a "class" parameter to the [wpv-filter-submit] shortcode
	- New: allow to clear all existing single posts from a Content Template asignment
	- New: "wpv_edit_view_link" PHP filter for frontend edit links
	- New: "wpv_filter_custom_field_filter_original_value" and "wpv_filter_custom_field_filter_processed_value" filters for values for Views filters - can override the values used on a filter by custom fields for Views listing posts
	- New: Translatable string item in V popup when WPML and String Translation are active
	- Fix: the filter the_content gets applied twice in some cases
	- Fix: when using a [wpv-post-body] shortcode inside a Content Template other shortcodes might not be expanded
	- Fix: workaround for AJAX pagination on IIS servers
	- Fix: default spinner image for pagination was not being set
	- Fix: small glitches in Content Templates asignment
	- Fix: evil comma of doom in javascript
	- Fix: descriptions for Views objects are now exported and imported
	- Fix: hook a PHP filter before and after the query to prevent incompatibilities with plugins that mess with the query
	- Fix: do not offer creation of Content Templates for archive loops that do not exists (like posts, pages and attachments archives
	- Fix: View forms in V popup missing in some situations
	- Fix: View widgets now list only the relevant Views
	- Fix: remove dash from default shortcode attribute for taxonomy filters
	- Fix: use ColorBox for the Insert View Form popup in the post.php and post-new.php screens
	- Fix: [wpv-control] shortcode parameter format was not being used for taxonomy filters using checkboxes
	- Fix: Views form shortcode can now be inserted in embedded Views
	- Fix: Convert URLs to point to translated content in Views and Content Template option in WPML was not working for links to taxonomy archives
	- Fix: if a page contains two Views with table layout, sorting the first affected the order of the other (and the second one could not be sorted)
	- Fix: respect format in Content Templates affected by the wptexturize filter
	- Fix: [wpv-for-each] shortcode behaviour is now more accurate
	- Fix: editing a posts with an assigned Content Template using a CRED form resulted in a broken layout
	- Fix: PHP warnings when performing parametric searches by taxonomies using select or radios and taxonomy names as values
	- Fix: parametric search popup - do not offer taxonomies we want to exclude or taxonomies with show_ui set to false
	- Fix: ability to insert a Content Template inside posts, templates
	- Fix: datepicker in parametric search does not display the selected date on results page when default_date is set to NONE
	- Fix: do not offer to create a WordPress Archive or a Content Template for post archives for posts that do not have an archive
	- Fix: when adding the [wpv-filter-meta-html] shortcode twice to a View combined output the table sorting stops working
	- Fix: PHP notice when the [wpv-heading] has no name attribute
	- Fix: View duplication on multisite
	- Fix: WPML + Views integration:
		- Fix: Views form widget - sync of target page for Views form wiget accross languages
		- Fix: Views form widget - only offer as target pages the ones in the current language
		- Fix: Views form shortcode - sync the target page from shortcode accross languages
		- Fix: Views filters - sync options like parents, taxonomy terms or post IDs accross languages
		- Fix: Views filter by taxonomy term - fix so it displays translated terms when needed
	- Clean: delete unused version of CodeMirror
	- Clean: improve scripts and styles queue list so we only load in the backend the needed elements and delete some unused scripts
	- Compatibility: Relevanssi
	- Deprecated: [wpv-post-found] is replaced with [wpv-items-found]
	- Deprecated: [wpv-no-post-found] and [wpv-no-taxonomy-found] are replaced with [wpv-no-items-found]
	- Deprecated: [wpv-post-count] is replaced with [wpv-items-count]

-------------------------------------------------------------------------------------------------------------------
Version 1.3.1
	- Admin listing screens: full page refresh instead of AJAX
	- Admin listing screens: improved pagination and partial search
	- Admin listing screens: table sorting by "name" and new column "date"
	- Views and WP Archives: Update All Sections button
	- Fix Views pagination admin GUI
	- Fix Content Template asignment for posts previous to Views activation and for attachments
	- Fix Missing templates in template chooser when arranged by usage
	- Fix Search filter only in post titles
	- Fix Layout Wizard behaviour
	- Fix Create or update a WordPress Archive deletes the settings for some Content Templates
	- WPML fix: CPT slugs in Views with AJAX pagination
	- WPML fix: translation for strings in Views widget
	- Several fixes in Views filters
	- Fix Settings page - AJAX nonces and error handling
	- Fix permissions where editors could access the natural Views and Content Templates listing screens
	- Fix error in export and import for specific taxonomy Views and Layout Wizard settings

-------------------------------------------------------------------------------------------------------------------
Version 1.3.0.3
	- Fix problem rendering [wpv-post-body] when no view_template is specified
	- Fix bug creating Content Templates on some systems

-------------------------------------------------------------------------------------------------------------------
Version 1.3.0.2
	- Fix comparison function when inserting a filter
	- Fix wrong message when editing a Views
	- Fix adding a Content Template when only one exists
	- Fix empty function in wpv-if shortcode
	- Fix error when changing WordPress Archive title. Settings were lost.
	- Fix problem when saving inline Content Template. Settings were lost.
	- Add check for compatible Toolset plugins

-------------------------------------------------------------------------------------------------------------------
Version 1.3.0.1
	- Fix SQL bug on Views listing page

-------------------------------------------------------------------------------------------------------------------
Version 1.3.0
	- Major redesign of the UI to improve usability
	- Rename View Templates to Content Templates
	- New UI for Views listing page
	- New UI for WordPress Archive listing page
	- New UI for Content Template listing page
	- New UI for the Views editor
	- New UI for the Views setting page
	- New UI for applying Content Templates
	- Descriptions added to Views
	- Descriptions added to Content Templates
	- Improved workflow for creating Views
	- Improved workflow for Views filters
	- Improved workflow for Parametric Searches
	- Improved workflow for Pagination
	- Improved workflow for layouts with Layout wizard
	- Easy HTML editing
	- Added Inline Content Templates editing to Views Editor

-------------------------------------------------------------------------------------------------------------------
Version 1.2.1
	- Fixed wpv_control -- auto_fill_sort parameter is not working
	- Fixed Not default sorting for AJAX pagination not working
	- Fixed View Templates: if syntax highlight is off, CSS and JS editors won't show a textarea
	- Fixed Filter by author was not exported/imported correctly
	- Fixed Filtering by 2+ custom fields using OR relationship and sorting by a third custom field was not working
	- Fixed Add Module Manager keys to the embedded version
	- New Output the results of the View query for PHP using get_view_query_results
	- New Output the results of View Templates to PHP using render_view_template
	- New Two new options for the wpv-current-user shortcode: logged_in and role
	- New Export/Import now adjusts image thumbnails inserted into any textarea in addition to full images

-------------------------------------------------------------------------------------------------------------------
Version 1.2.0
	- Fixed Views filter appears to have a problem with Asian characters - allow asian characters in values
	- Fixed Change the order of View results - allow adding aditional manual sorting
	- Fixed The default option not working for Select type fields
	- Fixed Filter controls: There is no way to set Default label for taxonomies, only for custom fields
	- Fixed Fix generation of table header layout Meta HTML
	- Fixed Debug to console is not working in WP 3.5
	- Fixed Some items in the V popup are centered and some not
	- Fixed Passing arguments using views short code attribute - fix for example text
	- Fixed Both in frontend and backend: Calendar always shows in english, even with another default language - fixed frontend
	- Fixed Open_basedir restriction in effect when exporting
	- Fixed View not get correct translated CPT slug in LOOP
	- Fixed Archive View settings still in effect after changing View to Normal
	- Fixed Search filter mixes specific and visitor modes
	- Fixed Archive views not working when no posts found
	- New Syntax highlighter in Views Meta HTML and View Templates editor
	- New Add a media section to the View edit
	- New Add CSS editor to Views and View templates
	- New Add JS editor to Views and View templates
	- New Make meta HTML, CSS and JS boxes open-state persistent
	- New Export CSS, JS and images
	- New Add View template name to body classes
	- New Check if we receive a complete form when editing Views
	- New Raw output for [wpv-post-featured-image]
	- New Shortcode for get_currentuserinfo()
	- New Add [wpv-current-user] to wpv-if processing
	- New Shortcode for bloginfo()
	- New Shortcode for get_post_type_archive_link($post_type)
	- New Add taxonomy shortcodes to shortcodes-in-shortcodes


-------------------------------------------------------------------------------------------------------------------
Version 1.1.4.1
	- Fixed taxonomy query using name instead of slug


-------------------------------------------------------------------------------------------------------------------
Version 1.1.4
    - Fixed WP 3.5 Filter forms - taxonomy filter doesn't work when there is a space in taxonomy term name
    - Fixed Missing links in Settings page
    - Fixed Paginating looses filter control values
    - Fixed Display usage tips for filter by author
    - Fixed Add colons before inputs
    - Fixed Check/handle spaces in URL parameters
    - Fixed Validate that the URL argument name or shortcode attribute name is specified and show an error message otherwise
    - Fixed When inserting author filter via the popup, it's saved incorrectly
    - Fixed New Pages Overridden by Post View Template
    - Fixed Pagination looses frontend filter values
    - Add filtering by author
    - Fixed Don't use mb_ereg
    - Fixed HTML validation errors with View filter
    - Fixed Javascript error when inserting shortcodes
    - Add Wrap View loop in [wpv-posts-found] shortcode
    - Fixed Conditional with empty not working

